import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:rasadyar_core/presentation/common/app_color.dart';


void main() {
  group('AppColor', () {
    test('blue colors', () {
      expect(AppColor.blueLight, const Color(0xFFeaefff));
      expect(AppColor.blueLightHover, const Color(0xFFe0e7ff));
      expect(AppColor.blueLightActive, const Color(0xFFbecdff));
      expect(AppColor.blueNormal, const Color(0xFF2d5fff));
      expect(AppColor.blueNormalHover, const Color(0xFF2956e6));
      expect(AppColor.blueNormalActive, const Color(0xFF244ccc));
      expect(AppColor.blueDark, const Color(0xFF2247bf));
      expect(AppColor.blueDarkHover, const Color(0xFF1b3999));
      expect(AppColor.blueDarkActive, const Color(0xFF142b73));
      expect(AppColor.blueDarker, const Color(0xFF102159));
    });

    test('green colors', () {
      expect(AppColor.greenLight, const Color(0xFFe6faf5));
      expect(AppColor.greenLightHover, const Color(0xFFd9f7f0));
      expect(AppColor.greenLightActive, const Color(0xFFb0efdf));
      expect(AppColor.greenNormal, const Color(0xFF00cc99));
      expect(AppColor.greenNormalHover, const Color(0xFF00b88a));
      expect(AppColor.greenNormalActive, const Color(0xFF00a37a));
      expect(AppColor.greenDark, const Color(0xFF009973));
      expect(AppColor.greenDarkHover, const Color(0xFF007a5c));
      expect(AppColor.greenDarkActive, const Color(0xFF005c45));
      expect(AppColor.greenDarker, const Color(0xFF004736));
    });

    test('category colors', () {
      expect(AppColor.confirm, AppColor.greenNormalActive);
      expect(AppColor.warning, AppColor.yellowNormal);
      expect(AppColor.error, AppColor.redNormal);
      expect(AppColor.info, AppColor.tealNormal);
    });


  });
}